<template>
  <div class="relative bg-tek-black text-tek-white overflow-hidden shadow-md w-2/3 h-96 border-2 border-tek-title border-opacity-60">
    <div class="px-2 py-3 sm:p-6 w-full h-full">
        <h1 class="font-maxwell font-medium text-4xl text-tek-title">{{ box.title }}</h1>
        <h2 class="text-tek-title">{{ box.subtitle }}</h2>
        <div class="w-full">
         <div class="flex w-full justify-start items-center my-5 mb-2">
                    <i v-for="i in 3" :key="i" class="fa-star fa-lg" :class="i <= box.level ? 'text-tek-main fas' : 'text-tek-title far'"/>
                </div>
        </div>
        <img class="transform scale-75" :src="assetSrc('assets/images/assetbox.png')" alt="box default asset">
        <button
          type="button"
          class="absolute bottom-5 left-5 inline-flex cursor-pointer items-center px-4 py-2 border border-transparent text-sm font-medium shadow-sm text-tek-black bg-tek-main hover:bg-tek-title hover:border hover:border-tek-black focus:outline-none focus:ring-2 focus:ring-offset-2 focus:ring-indigo-500 w-40 justify-center"
          @click="showModal= true">
          Découvrez-là
        </button>
      </div>
      <Modal v-if="showModal"/>
    </div>
</template>

<script>
import Modal from '@/Components/Modal.vue'
import { assetsPathMixin } from '@/mixins/assetsPathMixin'
export default {
  components: {
    Modal
  },
  data() {
    return {
      showModal: false
    }
  },
  mixins: [assetsPathMixin],
  props: {
    box: {
      type: Object,
      default: () => {
        return {
          title: 'Box de janvier',
          subtitle: 'La box arduino',
          icone: 'icone',
          level: 2,
        }
      },
    },
  },
}
</script>
